Show / Hide Table of Contents

# Interface ILineStream

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface ILineStream

### Properties

| Improve this Doc View Source

#### DataAvailable

##### Declaration

    bool DataAvailable { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Methods

| Improve this Doc View Source

#### FillBufferAsync(CancellationToken)

Fills the buffer asynchronous.

##### Declaration

    ValueTask<bool> FillBufferAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

Type | Name | Description
--- | --- | ---
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<Boolean> |

| Improve this Doc View Source

#### ReadByteFromBuffer()

##### Declaration

    byte ReadByteFromBuffer()

##### Returns

Type | Description
--- | ---
Byte |

| Improve this Doc View Source

#### ReadLineAsync(CancellationToken)

Read a line from the byte stream

##### Declaration

    ValueTask<string> ReadLineAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

Type | Name | Description
--- | --- | ---
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<String> |